/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.basic.provider;

import it.tidalwave.metadata.basic.Basic;
import it.tidalwave.metadata.text.ApertureFormat;
import it.tidalwave.metadata.text.DimensionFormat;
import it.tidalwave.metadata.text.EVFormat;
import it.tidalwave.metadata.text.FocalFormat;
import it.tidalwave.metadata.text.ISOFormat;
import it.tidalwave.metadata.text.PixelCountFormat;
import it.tidalwave.metadata.text.ShutterFormat;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class BasicFormatProviderTest 
  {
    private BasicFormatProvider formatProvider;
    private Basic basic;
    
    @Before
    public void setupFixture()
      {
        formatProvider = new BasicFormatProvider();
        basic = new Basic();
      }
    
    @After
    public void tearDownFixture()
      {
        formatProvider = null;
        basic = null;
      }
    
    @Test
    public void testGetItemClass() 
      {
        assertEquals(Basic.class, formatProvider.getItemClass());
      }

    @Test
    public void testGetItemDisplayName() 
      {
        assertEquals("Basic", formatProvider.getItemDisplayName());
      }
    
    @Test
    public void testGetDisplayName()
      {
        assertEquals("File Type", formatProvider.getDisplayName("mimeType"));
        assertEquals("File Size", formatProvider.getDisplayName("fileSize"));
        assertEquals("Sidecars", formatProvider.getDisplayName("SideCars"));
//        assertEquals("Date & Time", formatProvider.getDisplayName("DigitizedDateTime"));
        assertEquals("Latest Modification", formatProvider.getDisplayName("LatestModificationDateTime"));
      }
    
    @Test
    public void testGetDisplayNameWithUndefinedKey()
      {
        assertEquals("xxxx", formatProvider.getDisplayName("xxxx"));
      }
  }